---

#! /lkp/lkp/src/jobs/stress-ng-part2.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: mmapfiles
job_origin: stress-ng-part2.yaml

#! queue options
queue_cmdline_keys: []
queue: int
testbox: lkp-icl-2sp8
tbox_group: lkp-icl-2sp8
branch: linus/master
commit: 0f35040de59371ad542b915d7b91176c9910dadc
kconfig: x86_64-rhel-9.4
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-mmapfiles-60s-debian-13-x86_64-20250902.cgz-0f35040de593-20260107-2738431-amm5yo-5.yaml"
id: a517777fab3c03d04dbec704354e5dc958e2db96
queuer_version: "/lkp/xsang/.src-20260105-090121"

#! hosts/lkp-icl-2sp8
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WX82EA06CSLM-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX020T8_PHLJ151400G62P0BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x6988d014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz
ucode: '0xd000404'

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
  debug_mode: 0
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! programs/stress-ng/include
rootfs: debian-13-x86_64-20250902.cgz
enqueue_time: 2026-01-07 15:06:01.978516374 +08:00
compiler: gcc-14
_rt: "/result/stress-ng/performance-100%-mmapfiles-60s/lkp-icl-2sp8/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc"
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc/vmlinuz-6.18.0-01915-g0f35040de593"
result_root: "/result/stress-ng/performance-100%-mmapfiles-60s/lkp-icl-2sp8/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc/0"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20260103-212640"
arch: x86_64
max_uptime: 14400
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-mmapfiles-60s/lkp-icl-2sp8/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc/vmlinuz-6.18.0-01915-g0f35040de593
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-mmapfiles-60s-debian-13-x86_64-20250902.cgz-0f35040de593-20260107-2738431-amm5yo-5.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=0f35040de59371ad542b915d7b91176c9910dadc
- intremap=posted_msi
- acpi_rsdp=0x6988d014
- max_uptime=14400
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-14/0f35040de59371ad542b915d7b91176c9910dadc/modules.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20251225.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20251230.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/stress-ng_20251230.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/stress-ng-x86_64-30f8b2f05-1_20251212.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/iostat_20251229.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/turbostat_20251231.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/turbostat-x86_64-0739473694c4-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/perf_20251230.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/perf-x86_64-0739473694c4-1_20251010.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/sar-x86_64-eb341c2e-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20260105082936/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-performance-100%-mmapfiles-60s-debian-13-x86_64-20250902.cgz-0f35040de593-20260107-2738431-amm5yo-5.cgz"
dequeue_time: 2026-01-07 15:20:06.571218386 +08:00
last_kernel: 5.9.0-2-amd64
job_state: finished
loadavg: 30.87 12.00 4.35 1/749 8432
start_time: '1767770507'
end_time: '1767770568'
version: "/lkp/lkp/.src-20260103-212640:6581b8e16926-dirty:70c11bb8e69b-dirty"
